Bug 1319801 - texlive-IEEEtran needs an update
Summary: texlive-IEEEtran needs an update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-21 14:45 UTC by Ranjan Maitra
Modified: 2016-10-28 00:40 UTC (History)
3 users (show)

Fixed In Version: texlive-2016-17.20160520.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-28 00:40:29 UTC
Type: Bug


Attachments (Terms of Use)

Description Ranjan Maitra 2016-03-21 14:45:04 UTC
texlive-IEEEtran has needed an update since August 2015. The updated packageis at:

http://www.ctan.org/pkg/ieeetran

Note also that there is no separate texlive-IEEEtran category on BZ, hence the post on this link.

Comment 1 Tom "spot" Callaway 2016-03-23 13:39:22 UTC
Is there a specific reason for upgrading ieeetran? Updating TeXLive is very... noisy and complicated. Fedora 24+ will have TeXLive 2015, but older Fedora releases will not.

Comment 2 Ranjan Maitra 2016-03-23 22:47:18 UTC
Without upgrading, here is what I get off the bat when I run their supplied bare_jrnl_compsoc.tex:

....
! Undefined control sequence.
l.513 \IEEEraisesectionheading
                              {\section{Introduction}\label{sec:introduction}}
? 
.....

Btw, all that this package installs is:

/usr/share/doc/texlive-IEEEtran
/usr/share/doc/texlive-IEEEtran/lppl1.txt
/usr/share/texlive/texmf-dist/bibtex/bib/IEEEtran/IEEEabrv.bib
/usr/share/texlive/texmf-dist/bibtex/bib/IEEEtran/IEEEexample.bib
/usr/share/texlive/texmf-dist/bibtex/bib/IEEEtran/IEEEfull.bib
/usr/share/texlive/texmf-dist/bibtex/bst/IEEEtran/IEEEtran.bst
/usr/share/texlive/texmf-dist/bibtex/bst/IEEEtran/IEEEtranN.bst
/usr/share/texlive/texmf-dist/bibtex/bst/IEEEtran/IEEEtranS.bst
/usr/share/texlive/texmf-dist/bibtex/bst/IEEEtran/IEEEtranSA.bst
/usr/share/texlive/texmf-dist/bibtex/bst/IEEEtran/IEEEtranSN.bst
/usr/share/texlive/texmf-dist/tex/latex/IEEEtran/IEEEtran.cls
/usr/share/texlive/texmf-dist/tex/latex/IEEEtran/IEEEtrantools.sty

Is this that big a deal? We seem to have some updates on texlive components once in a while.

Comment 3 Ranjan Maitra 2016-05-24 17:14:31 UTC
Any comment on the above?

Comment 4 Fedora Update System 2016-10-05 20:30:29 UTC
perl-BibTeX-Parser-0.69-1.fc25, perl-LaTeX-ToUnicode-0.04-1.fc25, texlive-2016-5.20160520.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-50a2bc7997

Comment 5 Fedora Update System 2016-10-06 20:59:30 UTC
perl-BibTeX-Parser-0.69-1.fc25, perl-LaTeX-ToUnicode-0.04-1.fc25, texlive-2016-6.20160520.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-50a2bc7997

Comment 6 Fedora Update System 2016-10-09 12:30:32 UTC
perl-BibTeX-Parser-0.69-1.fc25, perl-LaTeX-ToUnicode-0.04-1.fc25, texlive-2016-7.20160520.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-50a2bc7997

Comment 7 Fedora Update System 2016-10-26 20:33:31 UTC
perl-BibTeX-Parser-0.69-1.fc25, perl-LaTeX-ToUnicode-0.04-1.fc25, texlive-2016-17.20160520.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-50a2bc7997

Comment 8 Fedora Update System 2016-10-28 00:40:29 UTC
perl-BibTeX-Parser-0.69-1.fc25, perl-LaTeX-ToUnicode-0.04-1.fc25, texlive-2016-17.20160520.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.